import request from '@/utils/request'

// 查询产品关注列表
export function listMallGoodsFollow(query) {
  return request({
    url: '/mall/mallGoodsFollow/list',
    method: 'get',
    params: query
  })
}

// 查询产品关注详细
export function getMallGoodsFollow(id) {
  return request({
    url: '/mall/mallGoodsFollow/' + id,
    method: 'get'
  })
}

// 新增产品关注
export function addMallGoodsFollow(data) {
  return request({
    url: '/mall/mallGoodsFollow',
    method: 'post',
    data: data
  })
}

// 修改产品关注
export function updateMallGoodsFollow(data) {
  return request({
    url: '/mall/mallGoodsFollow',
    method: 'put',
    data: data
  })
}

// 删除产品关注
export function delMallGoodsFollow(id) {
  return request({
    url: '/mall/mallGoodsFollow/' + id,
    method: 'delete'
  })
}

// 导出产品关注
export function exportMallGoodsFollow(query) {
  return request({
    url: '/mall/mallGoodsFollow/export',
    method: 'get',
    params: query
  })
}